Visual LISP, AutoLISP and General Customization

Visual LISP, AutoLISP and General Customization

Reply
Distinguished Contributor
manamalewis
Posts: 119
Registered: ‎11-07-2012
Message 1 of 3 (246 Views)
Accepted Solution

ssget "_W" doesn't show actual window. . .

246 Views, 2 Replies
09-06-2013 08:16 AM

I have this line of code:

 

(setq transmitters (ssget "_W" pt1 pt2 (list (cons 0 "INSERT")(cons 66 1))))

 

Where pt1 and pt2 are points that I point to.

 

I would like to have autocad show a "window box" while i am going from pt1 and pt2, it would be nice to have the same feature ~~~>left to right only components completely in the box, and/or right to left any component that has a part within it. 

 

Is there a variable or a specific line of code that will do this?

 

Thanks,

*Expert Elite*
Lee_Mac
Posts: 1,101
Registered: ‎12-29-2009
Message 2 of 3 (245 Views)

Re: ssget "_W" doesn't show actual window. . .

09-06-2013 08:23 AM in reply to: manamalewis

Note that the Window (W) ssget mode string is an automated selection method, i.e. the selection set is retrieved automatically based on the supplied parameters.

 

If you need to display a selection window, you can use a combination of the getpoint & getcorner functions when prompting the user for the two points defining the selection window.

 

Alternatively, you could call the ssget function without the mode string argument and the user can type "W" to opt for a Window selection when prompted.

Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)
Expert Elite
With Mathematics there is the possibility of perfect rigour, so why settle for less?
*Expert Elite*
Kent1Cooper
Posts: 5,237
Registered: ‎09-13-2004
Message 3 of 3 (223 Views)

Re: ssget "_W" doesn't show actual window. . .

09-06-2013 10:52 AM in reply to: Lee_Mac

Lee_Mac wrote:

.... you could call the ssget function without the mode string argument and the user can type "W" to opt for a Window selection when prompted.


Or they could get by without typing an option, and just pick in a blank area, and it will automatically go into either Window or Crossing mode [depending on which way they go from the first corner] as with regular editing-command selection.

Kent Cooper

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community